Game Develop Core: gd::InstancesAdvancedPasteDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::InstancesAdvancedPasteDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialogs allowing to choose options before doing an advanced paste. More...

`#include <InstancesAdvancedPasteDialog.h>`

Inheritance diagram for gd::InstancesAdvancedPasteDialog:
[legend]

## Public Member Functions

| InstancesAdvancedPasteDialog (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize)
void | SetStartX (float xStart)
void | SetStartY (float xStart)
void | SetXGap (float xStart)
void | SetYGap (float xStart)
float | GetStartX () const
float | GetStartY () const
unsigned int | GetXCount () const
unsigned int | GetYCount () const
float | GetXGap () const
float | GetYGap () const
float | GetRotationIncrementation () const

## Public Attributes

wxTextCtrl * | yGapEdit
wxStaticText * | StaticText9
wxStaticBitmap * | StaticBitmap2
wxSpinCtrl * | xCountEdit
wxStaticText * | StaticText2
wxTextCtrl * | xStartEdit
wxStaticText * | StaticText6
wxStaticText * | StaticText8
wxStaticText * | StaticText11
wxTextCtrl * | rotationEdit
wxStaticText * | StaticText1
wxStaticText * | StaticText3
wxButton * | cancelBt
wxStaticText * | StaticText5
wxStaticText * | StaticText7
wxTextCtrl * | yStartEdit
wxStaticLine * | StaticLine1
wxHyperlinkCtrl * | helpBt
wxSpinCtrl * | yCountEdit
wxTextCtrl * | xGapEdit
wxStaticText * | StaticText4
wxButton * | okBt

## Static Protected Attributes

static const long | ID_STATICTEXT9 = wxNewId()
static const long | ID_TEXTCTRL2 = wxNewId()
static const long | ID_STATICTEXT11 = wxNewId()
static const long | ID_TEXTCTRL3 = wxNewId()
static const long | ID_STATICTEXT1 = wxNewId()
static const long | ID_SPINCTRL1 = wxNewId()
static const long | ID_STATICTEXT2 = wxNewId()
static const long | ID_SPINCTRL2 = wxNewId()
static const long | ID_STATICTEXT3 = wxNewId()
static const long | ID_STATICTEXT6 = wxNewId()
static const long | ID_TEXTCTRL4 = wxNewId()
static const long | ID_STATICTEXT7 = wxNewId()
static const long | ID_TEXTCTRL5 = wxNewId()
static const long | ID_STATICTEXT8 = wxNewId()
static const long | ID_STATICTEXT4 = wxNewId()
static const long | ID_TEXTCTRL1 = wxNewId()
static const long | ID_STATICTEXT5 = wxNewId()
static const long | ID_STATICLINE1 = wxNewId()
static const long | ID_STATICBITMAP2 = wxNewId()
static const long | ID_HYPERLINKCTRL1 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()

## Detailed Description

Dialogs allowing to choose options before doing an advanced paste.

The documentation for this class was generated from the following files:

- InstancesAdvancedPasteDialog.h
- InstancesAdvancedPasteDialog.cpp